Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.idnext
Class EPPIdnLangTag

    java.lang.Object
      com.verisign.epp.codec.idnext.EPPIdnLangTag

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPIdnLangTag

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a IDN Lang Tag.

Title: EPP 1.0 RGP

Description: IDN Extension to the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  clloyd
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the idn lang tag

Constructor Summary
`EPPIdnLangTag()` Create an EPPIdnLangTag instance
`EPPIdnLangTag(java.lang.String aLang)` Create a EPPIdnLangTag intance with the given Language

Method Summary
`java.lang.Object` | `clone()` Clone `EPPIdnLangTag`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPIdnLangExtCrete component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPIdnLangTag` compare.
`java.lang.String` | `getLang()` Returns the Language Code.
`void` | `setLang(java.lang.String aLang)` Sets the Language Code

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the idn lang tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPIdnLangTag

    public EPPIdnLangTag()

  Create an EPPIdnLangTag instance

### EPPIdnLangTag

    public EPPIdnLangTag(java.lang.String aLang)

  Create a EPPIdnLangTag intance with the given Language

  Parameters:
    `aLang` - the language

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPIdnLangTag`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPIdnLangTag`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPIdnLangExtCrete component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPIdnLangTag` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPIdnLangTag` instance to compare with
  Returns:
    true if equal false otherwise

### getLang

    public java.lang.String getLang()

  Returns the Language Code.

  Returns:
    the language code

### setLang

    public void setLang(java.lang.String aLang)

  Sets the Language Code

  Parameters:
    `aLang` - the language code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.